Get details of multiple tasks

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This call will return statistics for all specified tasks i.e. task IDs.

Request

https://cgc-api.sbgenomics.com/v2/bulk/tasks/get

Example request

POST v2/bulk/tasks/get
Host: cgc-api.sbgenomics.com
X-SBG-Auth-Token: 3210a98c1db9318fa9d9273156740f74
curl -X POST \
  https://api.sbgenomics.com/v2/bulk/tasks/get \
  -H 'Content-Type: application/json' \
  -H 'X-SBG-Auth-Token: 3210a98c1db9318fa9d9273156740f74' \
  -H 'cache-control: no-cache' \
  -d '{
	"task_ids": [
		"eb44dce5-2c12-5be3-97b9-92039de6182b", "0b61a0d5-0cb4-5496-8ce9-944f9aab98df"
	]
}
'

Header Fields

NameDescription
X-SBG-Auth-Token
required
Your CGC authentication token.
Content-Type
required
application/json

Request body

KeyData typeDescription
task_idsarrayThe IDs of the tasks you are requesting the statistics for.

Response

See a list of CGC-specific response codes that may be contained in the body of the response..

Response body

The response contains statistics for all specified tasks.

Example response body

{
    "items": [
        {
            "resource": {
                "href": "https://cgc-api.sbgenomics.com/v2/tasks/eb44dce5-2c12-5be3-97b9-92039de6182b",
                "id": "eb44dce5-2c12-5be3-97b9-92039de6182b",
                "name": "star index and align run - 08-11-15 16:28:02",
                "status": "ABORTED",
                "project": "rfranklin/star-dev",
                "app": "rfranklin/star-dev/star-index-and-align/1",
                "type": "v2",
                "created_by": "rfranklin",
                "executed_by": "rfranklin",
                "start_time": "2015-08-11T16:28:02Z",
                "end_time": "2015-08-12T11:43:00Z",
                "batch": false,
                "batch_group": {
                    "fields": {}
                },
                "use_interruptible_instances": false,
                "execution_settings": {},
                "execution_status": {
                    "steps_completed": 0,
                    "steps_total": 0,
                    "system_limit": false,
                    "account_limit": false,
                    "instance_init": false,
                    "queued_duration": 0,
                    "running_duration": 69111383,
                    "execution_duration": 0,
                    "duration": 69111383
                },
                "errors": [],
                "warnings": [],
                "inputs": {},
                "outputs": {},
                "created_time": "2015-08-11T16:28:02Z"
            }
        },
        {
            "resource": {
                "href": "https://cgc-api.sbgenomics.com/v2/tasks/0b61a0d5-0cb4-5496-8ce9-944f9aab98df",
                "id": "0b61a0d5-0cb4-5496-8ce9-944f9aab98df",
                "name": "star index and align run - 08-12-15 11:32:39",
                "status": "FAILED",
                "project": "rfranklin/star-dev",
                "app": "rfranklin/star-dev/star-index-and-align/1",
                "type": "v2",
                "created_by": "rfranklin",
                "executed_by": "rfranklin",
                "start_time": "2015-08-12T11:32:39Z",
                "end_time": "2015-08-12T11:41:05Z",
                "batch": false,
                "batch_group": {
                    "fields": {}
                },
                "use_interruptible_instances": false,
                "execution_settings": {},
                "execution_status": {
                    "steps_completed": 0,
                    "steps_total": 0,
                    "system_limit": false,
                    "account_limit": false,
                    "instance_init": false,
                    "queued_duration": 0,
                    "running_duration": 497286,
                    "execution_duration": 0,
                    "duration": 497286
                },
                "errors": [],
                "warnings": [],
                "inputs": {},
                "outputs": {},
                "created_time": "2015-08-12T11:32:39Z"
            }
        }
    ]
}
Language
LoadingLoading…